
QGIS Application - Bug report #4468

Properties Window selecting OK/APPLY randomly Crashes QGIS

2011-10-30 08:21 PM - Mars Sjoden

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Macintosh Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 14395

Description

Some curious findings just now after reviewing several hours of Screen recordings of using QGIS on various operating system platforms

(eyes... bleeding)...

What I noticed...

1. Double click layer to Launch Properties Window

2. (do nothing or make changes) Simply single click APPLY/OK and QGIS crashes

VS

1. RIGHT CLICK  layer,

2. Select Properties from contextual menu to launch Properties Window

4. Do what ever you like then click APPLY/OK...

5. no problem

I repeated this test about 10 times on OS X.6.8 cleaned caches and new .plist file and the new QGIS 1.7.1-2 from William Kyng's site, with

these exact same outcomes as above.

However, after about the 10th relaunch of QGIS 1.7.1-2 after crashing it,  I was unable to reproduce (no crashes) after about 30+

properties toggles and 10+ different QGIS relaunches.

Now (to add another variable). After I completed

1. launch QGIS

2. Load Natural Earth shp layer

3. Double Click Natural Earth shp layer to Launch Properties Window

4. (do nothing) Simply single click APPLY/OK and QGIS

5. OK

6. Scroll mouse zoom map canvas

7. Double Click Natural Earth shp layer to Launch Properties Window

8. (do nothing) Simply single click APPLY/OK and QGIS crashes

and returns back to

1. launch QGIS

2. Load Natural Earth shp layer

3. Double Click Natural Earth shp layer to Launch Properties Window

4. (do nothing) Simply single click APPLY/OK and QGIS crashes
...

Soooo far I am unable to crash QGIS IF I invoke the Properties Window via Right Mouse click on Layer.

could Double Clicking the TOC Layer to invoke the Properties Window be the key to my issues?  I hope so... will ONLY use right

click layer to invoke properties window from now on to test.

History

#1 - 2011-10-31 02:30 AM - Giovanni Manghi

I cannot confirm such fragility on qgis-master on Ubuntu 64 bit. Would you mind test qgis-master on OsX?

I also feel that there are already a few tickets opened about this kind of issue, would you mind check the trac and eventually merge this ticket and close it

as duplicate?

#2 - 2011-10-31 07:53 AM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

This looks like a duplicate of #4439

Files

QGIS_1.7.1-2_crashlog.rtf 58.6 KB 2011-10-30 Mars Sjoden
